Method: networks.targetingPreset.batchDeactivate

Batch deactivates TargetingPreset objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/targetingPreset:batchDeactivate

Path parameters

Parameters
parent

string

Required. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (DeactivateTargetingPresetRequest)
    }
  ]
}
Fields
requests[]

object (DeactivateTargetingPresetRequest)

Required. The TargetingPreset objects to deactivate.

Response body

Response message for DeactivateTargetingPresets method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "changeCount": string
}
Fields
changeCount

string (int64 format)

The number of objects that were deactivated as a result of performing the action.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

DeactivateTargetingPresetRequest

Request object for DeactivateTargetingPreset method.

JSON representation
{
  "name": string,
  "targetingPresetId": string
}
Fields
name

string

Required. Resource name for the TargetingPreset. Format: networks/{networkCode}/targetingPreset/{targetingPresetId}

targetingPresetId

string (int64 format)

Required. TargetingPreset ID to deactivate.